﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows;
using System.Diagnostics;

namespace SelectOnMouseDown
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamDataGrid_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            CellValuePresenter presenter = Utilities.GetAncestorFromType(e.OriginalSource as DependencyObject, typeof(CellValuePresenter), false) as CellValuePresenter;
            if (presenter != null)
            {
                presenter.Record.IsActive = true;
                presenter.IsActive = true;
            }
        }

        private void Cell_MouseDown(object sender, MouseButtonEventArgs e)
        {
            if (xamDataGrid1.ActiveCell != null)
                Debug.WriteLine(xamDataGrid1.ActiveCell.Value + " " + (sender as TextBlock).Text);
        }
    }
}
